Bug 122121 - UI Checkbox is not aligned with its label in Chart tools Format selection dialog
Summary: UI Checkbox is not aligned with its label in Chart tools Format selection dialog
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
6.3.0.0.alpha0+
Hardware: All All
: medium minor
Assignee: Adolfo Jayme
URL:
Whiteboard: target:6.3.0
Keywords: bibisected, bisected
Depends on:
Blocks: Dialog
  Show dependency treegraph
 
Reported: 2018-12-15 08:40 UTC by Emil Tanev
Modified: 2018-12-19 22:36 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments
screenshot and file (196.58 KB, application/x-zip-compressed)
2018-12-15 08:40 UTC, Emil Tanev
Details
how it looks after the commit (24.38 KB, image/png)
2018-12-19 09:10 UTC, Xisco Faulí
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Emil Tanev 2018-12-15 08:40:27 UTC
Created attachment 147571 [details]
screenshot and file

Open the workbook in Calc
Double-click the chart
Select Data series Occurrences from Select chart element
Click Format Selection (next to Select chart element)

Issue:
Hide Legend Entry and its checkbox are not aligned vertically, and the space between is inconsistently large compared with the other checkbox. 

Version: 6.3.0.0.alpha0+ (x64)
Build ID: 3c964980da07892a02d5ac721d80558c459532d0
CPU threads: 1; OS: Windows 10.0; UI render: default; VCL: win; 
TinderBox: Win-x86_64@42, Branch:master, Time: 2018-12-12_03:38:09
Locale: en-US (en_US); UI-Language: en-US
Calc: threaded
Comment 1 Vera Blagoveschenskaya 2018-12-16 13:41:45 UTC
Reproduced for

Version: 6.3.0.0.alpha0+
Build ID: e3e15d8c625cbf56e1f03d9ebde966e78844c7a4
CPU threads: 1; OS: Linux 4.14; UI render: default; VCL: kde5; 
TinderBox: Linux-rpm_deb-x86_64@86-TDF, Branch:master, Time: 2018-12-13_20:10:25
Locale: ru-RU (ru_RU.UTF-8); UI-Language: en-US
Calc: threaded
Comment 2 Xisco Faulí 2018-12-18 17:13:02 UTC
This is a new feature from https://cgit.freedesktop.org/libreoffice/core/commit/?id=19b2ed4dee1ec33ad55473d43bfcd0bfa194cbee

@Heiko, do you feel like fixing it?
Comment 3 Commit Notification 2018-12-19 03:52:51 UTC
Adolfo Jayme Barrientos committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/9df7e3706b357114d4d02bb9a8b4261341faf539%5E%21

tdf#122121 Fix checkbox alignment & spacing in Data Series dialog

It will be available in 6.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 Xisco Faulí 2018-12-19 09:10:53 UTC
Created attachment 147662 [details]
how it looks after the commit
Comment 5 Xisco Faulí 2018-12-19 09:11:28 UTC
Verified in

Version: 6.3.0.0.alpha0+
Build ID: 78073ecfdc50e78e3ce094c1259779b7c3b88bc4
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); UI-Language: en-US
Calc: threaded

@Adolfo Jayme, Thanks for the quick fix!!
Comment 6 Xisco Faulí 2018-12-19 09:13:04 UTC Comment hidden (off-topic)
Comment 7 Adolfo Jayme 2018-12-19 22:36:55 UTC Comment hidden (off-topic)